<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number64</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.64:</b> Write a JavaScript program to concatenate two strings and return the result. If the length of the strings are not same then remove the characters from the longer string.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt1" placeholder="Enter The First Text You Want to Generate!" style="width: 280px; margin-top: 5px;"><br>
		<input type="text" id="txt2" placeholder="Enter The Second Text You Want to Generate!" style="width: 280px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	function generate() {
		var st1 = document.getElementById('txt1').value;
		var st2 = document.getElementById('txt2').value;
		if ( st1.length > st2.length) {
			document.getElementById('demo').innerHTML=
				"First String has greater length so that the reslut is: <br>" +
				st1.substr(0,st2.length) + " " + st2;
		} else if ( st2.length > st1.length) {
			document.getElementById('demo').innerHTML=
				"Second String has greater length so that the reslut is: <br>" +
				st1 +" " + st2.substr(0,st1.length);
		} else {
			document.getElementById('demo').innerHTML=
				"Both Strings have same length so that the reslut is: <br>" +
				st1 + " " + st2 ;
		}
		
	}
	</script>
</body>
</html>
